---
Title: "Vim: менеджер плагинов Plug"
Category: Vim
Tags: Vim, плагины Vim
Summary:
...

Автоматическое управление плагинами в Vim можно организовать
с помощью менеджера [Plug](https://github.com/junegunn/vim-plug),
установить который можно командой

```sh
curl -fLo ~/.vim/autoload/plug.vim --create-dirs \
    https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
```

Чтобы использовать Plug, нужно добавить в `$HOME/.vimrc`:

1. Строку `call plug#begin('~/.vim/plugged')`
2. Список строк, начинающихся с команды `Plug`, для загрузки плагинов
3. Закончить список командой `call plug#end()`

Пример:

```vim
" Обязательно использовать одиночные кавычки
call plug#begin('~/.vim/plugged')

" Краткая запись для работы с github: https://github.com/junegunn/vim-easy-align
Plug 'junegunn/vim-easy-align'

" Вариант с полным адресом
Plug 'https://github.com/junegunn/vim-github-dashboard.git'

" Загрузка при выполнении команды
Plug 'scrooloose/nerdtree', { 'on': 'NERDTreeToggle' }

" Загрузка для определённого типа файлов
Plug 'tpope/vim-fireplace', { 'for': 'clojure' }

" Окончание списка плагинов
call plug#end()
```

