---
title: "Vim: проверка орфографии"
category: Vim
tags: Vim, команды Vim, словарь, орфография
summary:
...

Код в `$HOME/.vimrc` для циклического переключения режимов проверки
орфографии: два языка, английский, русский и без проверки:

```Vim
" По умолчанию проверка орфографии для русского и английского.
setlocal spell spelllang=ru,en
set spellsuggest=9

function! ChangeSpellLang()
  if &spelllang == "ru,en"
    setlocal spell spelllang=en
    echo "spelllang: en"
  elseif &spelllang == "en"
    setlocal spell spelllang=ru
    echo "spelllang: ru"
  elseif &spelllang == "ru"
    setlocal nospell spelllang=
    echo "spelllang: off"
  else
    setlocal spell spelllang=ru,en
    echo "spelllang: ru,en"
  endif
endfunc

" map spell on/off for English/Russian
map <C-F7> <Esc>:call ChangeSpellLang()<CR>

" выбор альтернатив
imap <F7> <Esc> z=<CR>i
map <F7> z=<CR>
```

